Package Details: sstp-client 1.0.12-3

Git Clone URL: https://aur.archlinux.org/sstp-client.git (read-only)
Package Base: sstp-client
Description: SSTP client stable revision
Upstream URL: http://sstp-client.sourceforge.net/
Keywords: sstp
Licenses: GPL2
Conflicts: sstp-client-svn-stable
Provides: sstp-client
Submitter: echizenryoma
Maintainer: echizenryoma (dluciv, Martchus)
Last Packager: echizenryoma
Votes: 11
Popularity: 1.907601
First Submitted: 2016-05-23 12:16
Last Updated: 2018-06-01 10:46

Latest Comments

geza.benko commented on 2018-06-01 10:29

I got an error when i installed it:

==> ERROR: optdepends contains invalid characters: '> ='

I've cloned from the repository and modified the PKGBUILD file:

diff --git a/PKGBUILD b/PKGBUILD
index f8b647e..03b7bca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,8 +13,9 @@ license=('GPL2')
 conflicts=('sstp-client-svn-stable')
 provides=('sstp-client')
 depends=('libevent')
-makedepends=('gcc' 'ppp>=2.4.6' 'libevent' 'libtool')
-optdepends=('ppp>=2.4.6' 'openssl')
+makedepends=('gcc' 'ppp>=2.4.6' 'libevent' 'libtool' 'openssl')
+optdepends=('ppp: ppp handler'
+            'openssl: SSL library')
 install=${pkgname}.install

source=( '50-sstp.PROFILE.sh.sample'

So it has been installed normally.

TheBobbyBob commented on 2018-04-19 14:20

In PKGBUILD source does not point on the right path on sourceforge

the sstp-client-1.0.12.tar.gz file is actually in this path -> https://sourceforge.net/projects/sstp-client/files/sstp-client/sstp-client-1.0.12.tar.gz

PKGBUILD needs to change in line 22 from this: "http://sourceforge.net/projects/sstp-client/files/sstp-client/${pkgver}/${pkgname}-${pkgver}.tar.gz" )

to this: "http://sourceforge.net/projects/sstp-client/files/sstp-client/${pkgname}-${pkgver}.tar.gz" )

piskoule commented on 2017-07-13 14:30

After last update i cannot connect to vpn server
log from journal
cinnamon[1171]: JS LOG: Invalid network device type, is 14
cinnamon[1171]: JS LOG: Removing a network device that was not added

pavelkuchin commented on 2017-07-05 14:09

Thank you @mjr4077au! and thank you @Martchus for releasing new bump!

mjr4077au commented on 2017-07-01 03:55

@pavelkuchin

Just recompile sstp-client and the issue will be resolved. The maintainer will need to do a release bump.


Cheers,
Mitch.

pavelkuchin commented on 2017-06-30 14:43

Hello, I'm having some issue with sstp after recent update, could someone help please?
Jun 30 10:34:25 pavels-thinkpad pppd[3100]: Couldn't load plugin /usr/lib/pppd/2.4.7/nm-sstp-pppd-plugin.so
Jun 30 10:34:25 pavels-thinkpad pppd[3100]: libevent-2.0.so.5: cannot open shared object file: No such file or directory

ali commented on 2016-11-21 15:53

Making install in src/libsstp-api
make[1]: Wejście do katalogu '/tmp/yaourt-tmp-ali/aur-sstp-client/src/sstp-client-1.0.10/src/libsstp-api'
make[2]: Wejście do katalogu '/tmp/yaourt-tmp-ali/aur-sstp-client/src/sstp-client-1.0.10/src/libsstp-api'
/usr/bin/mkdir -p '/tmp/yaourt-tmp-ali/aur-sstp-client/pkg/sstp-client/usr/lib'
/bin/sh ../../libtool --mode=install ../../0 libsstp_api.la '/tmp/yaourt-tmp-ali/aur-sstp-client/pkg/sstp-client/usr/lib'
libtool: install: ../../0 .libs/libsstp_api-0.so /tmp/yaourt-tmp-ali/aur-sstp-client/pkg/sstp-client/usr/lib/libsstp_api-0.so
../../libtool: line 1085: ../../0: No such file or directory

dluciv commented on 2016-10-05 20:38

Thank you for forking my package. Actually has no resources to maintain it, sorry for delays. Your one works quite ok.